Bug 1005072 - Unable to authenticate to Exchange MAPI server after update
Unable to authenticate to Exchange MAPI server after update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-mapi (Show other bugs)
6.5
All Linux
medium Severity high
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 03:52 EDT by Jiri Koten
Modified: 2014-01-02 05:55 EST (History)
3 users (show)

See Also:
Fixed In Version: evolution-mapi-0.32.2-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:55:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (128.57 KB, image/png)
2013-09-06 03:52 EDT, Jiri Koten
no flags Details

  None (edit)
Description Jiri Koten 2013-09-06 03:52:36 EDT
Created attachment 794605 [details]
Screenshot

Description of problem:
After update to Evolution 2.32, I'm unable to authenticate to Exchange MAPI server with my existing account.

Creating new MAPI account in Evolution 2.32 works fine. 

Version-Release number of selected component (if applicable):
evolution-2.32.3-23.el6
evolution-mapi-0.32.2-6.el6
openchange-1.0-4.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create an MAPI account with Evolution 2.28, e.g. in rhel64
2. Update to new Evolution 2.32

Actual results:
Cannot authenticate

Expected results:
Authentication is successful

Additional info:
Comment 1 Milan Crha 2013-09-06 05:03:29 EDT
Interesting, this was supposed to be fixed by [1], which is included in 0.32.2. I guess there failed something in the (re)create of the profile.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=631621
Comment 2 Milan Crha 2013-09-06 08:28:54 EDT
I've a patch ready, there was a problem with profile naming, which changes for 0.32.x. Please note that you still can be asked for a password, these are not part of a backup, but you should not get the error like in your screenshot from comment #0.
Comment 4 Jiri Koten 2013-09-18 07:29:24 EDT
Mail and Contacts are working but I'm unable to authenticate to Calendar. It keeps asking for password.
Comment 7 Milan Crha 2013-09-18 07:48:39 EDT
Could you give me your current set, by
   $ gconftool-2 --dump /apps/evolution &>evo-gconf.xml
and your
   ~/.local/share/evolution/mapi-profiles.ldb
   ~/.gnome2_private/Evolution
      (this can hold your passwords, but can be empty or missing too)

thus I'll be able to try to reproduce it here, please?

All the parts worked fine for me, when I was testing the patch. I suspect the source definition in GConf is somehow broken, references wrong host name, user name or something like that.
Comment 8 Jiri Koten 2013-09-19 05:59:41 EDT
Actually this looks like a regression, probably caused by the fix. I'm unable to connect to MAPI Calendar even on clean account in evolution 2.32.

I'll retest with evolution-mapi-0.32.2-6.el6 to be sure.
Comment 9 Jiri Koten 2013-09-19 09:25:05 EDT
Confirmed the regression, after update to evolution-mapi-0.32.2-8.el6 cannot authenticate to MAPI Calendar. The password prompt keeps asking for authentication.
Comment 10 Milan Crha 2013-09-19 13:58:57 EDT
Oh, I thought I cover the inconsistency between addressbook and calendar sources, but I obviously did not; I'm sorry for that. I have a fix ready for this.
Comment 12 Milan Crha 2013-09-20 03:41:25 EDT
Updated package evolution-mapi-0.32.2-9.el6 is available now.
Comment 15 errata-xmlrpc 2013-11-20 23:55:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.